<?php
date_default_timezone_set('America/Bogota');
include('../config/database.php');
$metodo=$_SERVER['REQUEST_METHOD'];
$fecha_proceso = date("Y-m-d H:i:s");
if($metodo=='GET'){
    //cargar
    if(isset($_GET['cargar'])){
        $d = date('Y-m-d').' 00:00:00'; $h = date('Y-m-d').' 23:59:59';
        $query = mysqli_query($mysqli, "SELECT DISTINCT usuario_asignado, u.name_user, u.vehiculo FROM guias g, usuarios u WHERE fecha_asignacion BETWEEN '$d' AND '$h' AND g.usuario_asignado=u.username and u.status='activo'") or die('Error en la consulta'. mysqli_error($mysqli));
        while($row = mysqli_fetch_array($query)){
            $cond = $row['usuario_asignado']; $nom_cond = $row['name_user']; $veh = $row['vehiculo'];
            $val = mysqli_query($mysqli, "SELECT * FROM seguimiento_rutas WHERE fecha_registro BETWEEN '$d' AND '$h' AND vehiculo='$veh' and conductor='$cond'") or die('Error en la consulta'. mysqli_error($mysqli));
            $count = mysqli_num_rows($val);
            if($count==0){
                $insert = mysqli_query($mysqli, "INSERT INTO seguimiento_rutas VALUES (NULL,'$veh','$cond','$nom_cond','','','','','','','','$fecha_proceso','','','','')") or die('Error en el registro'. mysqli_error($mysqli));
            }
        }
        header("Location: ../main.php?seguimiento");
    }
    if(isset($_GET['lista'])){
        $d = date('Y-m-d').' 00:00:00'; $h = date('Y-m-d').' 23:59:59';
        //$query = mysqli_query($mysqli, "SELECT MAX(id_seguimiento)id_seguimiento, vehiculo, conductor, nombre_conductor, MAX(fecha_registro) fecha_registro,tipo_ruta FROM seguimiento_rutas WHERE fecha_registro BETWEEN '$d' AND '$h' and estado=0 GROUP BY conductor") or die('Error en la consulta'. mysqli_error($mysqli));
        $query = mysqli_query($mysqli, "SELECT MAX(id_seguimiento)id_seguimiento, vehiculo, conductor, nombre_conductor, MAX(fecha_registro) fecha_registro,tipo_ruta FROM seguimiento_rutas WHERE fecha_registro <= '$h' and estado=0 GROUP BY conductor") or die('Error en la consulta'. mysqli_error($mysqli));
        $json = array(); 
        while($row = mysqli_fetch_array($query)){
            $btn = "<a href='#' class='btn btn-xs btn-primary' data-toggle='modal' data-target='#nuevo_registro' onclick='buscar($row[id_seguimiento])'><i class='fa fa-edit'><i/></a>";
            $fecha1= new DateTime();
            $fechap = new DateTime($row['fecha_registro']);
            $fechap->modify('+1 hours');
            if($fecha1 >= $fechap){$diferencia = 0; $minutos=0;}else{$diferencia = $fecha1->diff($fechap); $minutos = ($diferencia->days * 24 * 60) + ($diferencia->h * 60) + $diferencia->i;}
            
            if($minutos > 10){$est = '<span class="badge badge-pill badge-success"> A tiempo </span>';}
            if($minutos <= 10 && $minutos > 0){$est = '<span class="badge badge-pill badge-warning"> Proximo'.$minuto.' </span>';}
            if($minutos <= 0){$est = '<span class="badge badge-pill badge-danger"> Vencido </span>';}
            $json[] = array(
                'vehiculo' => $row['vehiculo'],
                'conductor' => $row['conductor'],
                'nom_conductor' => $row['nombre_conductor'],
                'ruta' => $row['tipo_ruta'],
                'fecha_registro' => $row['fecha_registro'],
                'proxima' => $fechap->format('Y-m-d H:i:s'),
                'estado' =>$est,
                'btn' => $btn,
                'id' => $row['id_seguimiento']
            );
        }
        $jsonstring = json_encode($json);
        echo $jsonstring; 
    }
    
    if(isset($_GET['id_segui'])){
        $id = $_GET['id_segui'];
        $query = mysqli_query($mysqli, "SELECT * FROM seguimiento_rutas WHERE id_seguimiento='$id'") or die('Error en la consulta'. mysqli_error($mysqli));
        $row = mysqli_fetch_array($query);
        $json = array(); 
        $json[] = array(
            'vehiculo' => $row['vehiculo'],
            'conductor' => $row['conductor'],
            'nom_conductor' => $row['nombre_conductor'],
            'ruta' => $row['tipo_ruta'],
            'correos_confirma' => $row['correos_confirma'],
            'id' => $row['id_seguimiento']
        );
        $jsonstring = json_encode($json[0]);
        echo $jsonstring; 
    }
 
    
}

if($metodo=='POST'){
    if(isset($_POST['id_seguimiento'])){
        $id = $_POST['id_seguimiento'];
        $query = mysqli_query($mysqli, "SELECT * FROM seguimiento_rutas WHERE id_seguimiento='$id'") or die('Error en la consulta'. mysqli_error($mysqli));
        $row = mysqli_fetch_array($query);
        $veh = $row['vehiculo'];
        $cond = $row['conductor'];
        $nom_cond = $row['nombre_conductor'];
        $ruta = $_POST['ruta'];
        $ubica_ref = $_POST['ubica_ref'];
        $ubica_gps = $_POST['ubica_gps'];
        $novedad = $_POST['novedad'];
        $tipo_novedad = $_POST['tipo_novedad'];
        $obs = $_POST['obs'];
        $emails = $_POST['email'];
        $estado = $_POST['estado'];
        $tr = $row['tipo_ruta'];
        
        if($tr==''){
            $query = mysqli_query($mysqli, "UPDATE seguimiento_rutas SET tipo_ruta='$ruta', ubicacion_ref='$ubica_ref', ubicacion_aut='$ubica_gps', novedad='$novedad',
            tipo_novedad='$tipo_novedad', detalles='$obs', correos_confirma='$emails', fecha_registro='$fecha_proceso', estado='$estado' WHERE id_seguimiento='$id'") or die('Error en el registro'. mysqli_error($mysqli));
            if($novedad=='SI'){
                include("notifica_novedad.php");
            }
        }else{
            $insert = mysqli_query($mysqli, "INSERT INTO seguimiento_rutas VALUES (NULL,'$veh','$cond','$nom_cond','$ruta','$ubica_ref','$ubica_gps','$novedad','$tipo_novedad','$obs','','$fecha_proceso','$emails','$estado','','')") or die('Error en el registro'. mysqli_error($mysqli));
            if($novedad=='SI'){
                include("notifica_novedad.php");
            }
            if($estado==1){
                $query = mysqli_query($mysqli, "UPDATE seguimiento_rutas SET estado=1 WHERE vehiculo='$veh' and conductor='$cond' and estado=0") or die('Error en el registro'. mysqli_error($mysqli));
            
            }
            
        }
        
        
        echo '
        <div class="alert alert-success" role="alert" id="alerta_add">
            El registro se ha actualizado satisfactoriamente!
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        ';
    }
    
    if(isset($_POST['f_placa'])){
        $f_placa = $_POST['f_placa'];
        $update = mysqli_query($mysqli, "UPDATE seguimiento_rutas SET estado=0 where vehiculo='$f_placa' ORDER by fecha_registro DESC LIMIT 1") or die('Error en la consulta'. mysqli_error($mysqli));
        echo '
        <div class="alert alert-success" role="alert" id="alerta_add">
            El registro se ha actualizado satisfactoriamente!
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        ';
    }
}